Index: sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java
===================================================================
--- sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
+++ sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision 0c049e98bcad28a13b250dd336ae01a0dffdb9ad)
@@ -38,5 +38,5 @@
         this.role = v.getRole();
         this.status = v.getStatus();
-        this.locked=!v.isAccountNonLocked();
+        this.locked= !v.isAccountNonLocked();
         this.pzNames = v.getParkingZones().stream().map(ParkingZone::getPzName).collect(Collectors.toList());
     }
Index: sources/app/src/main/java/parkup/entities/ParkingZone.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
+++ sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 0c049e98bcad28a13b250dd336ae01a0dffdb9ad)
@@ -54,4 +54,7 @@
     @OneToMany(cascade = {CascadeType.ALL})
     private List<ParkingSpace> parkingSpaces;
+
+    @Transient
+    private List<String> responsibleWorkers;
 
 
@@ -119,5 +122,11 @@
         this.price = price;
     }
+    public List<String> getResponsibleWorkers() {
+        return responsibleWorkers;
+    }
 
+    public void setResponsibleWorkers(List<String> responsibleWorkers) {
+        this.responsibleWorkers = responsibleWorkers;
+    }
     public int getCapacity() {
         return this.capacity;
Index: sources/app/src/main/java/parkup/entities/Worker.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Worker.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
+++ sources/app/src/main/java/parkup/entities/Worker.java	(revision 0c049e98bcad28a13b250dd336ae01a0dffdb9ad)
@@ -60,5 +60,5 @@
     private UserRole role;
 
-    @ManyToMany
+    @ManyToMany(fetch = FetchType.EAGER)
     private List<ParkingZone> parkingZones;
 
Index: sources/app/src/main/java/parkup/services/ParkingZoneService.java
===================================================================
--- sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
+++ sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision 0c049e98bcad28a13b250dd336ae01a0dffdb9ad)
@@ -147,5 +147,5 @@
                     }
                 }else{
-                    parkingZoneNov.setParkingSpaces(null);
+                    parkingZoneNov.setParkingSpaces(new ArrayList<>());
                 }
                 if (!responsibleWorkers.isEmpty()) {
@@ -196,4 +196,5 @@
             pz.setCapacity(calculateCapacity(pz.getId()));
             pz.setTakenSpaces(calculateTakenSpaces(pz.getId()));
+            pz.setResponsibleWorkers(getWorkers(pz.getId()));
         }
         public List<WorkerDemo> getResponsibleWorkers(int pzId){
@@ -201,4 +202,9 @@
             return workerRepository.findAll().stream().filter(w->w.getParkingZones().contains(parkingZone)).map(WorkerDemo::new).collect(Collectors.toList());
         }
-    }
-
+        public List<String> getWorkers(int pzId){
+            ParkingZone parkingZone =parkingZoneRepository.findByPzId(pzId);
+            return workerRepository.findAll().stream().filter(w->w.getParkingZones().contains(parkingZone)).map(w->w.getFirstName() + " " + w.getLastName()).collect(Collectors.toList());
+
+        }
+    }
+
Index: sources/app/src/main/resources/application.properties
===================================================================
--- sources/app/src/main/resources/application.properties	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
+++ sources/app/src/main/resources/application.properties	(revision 0c049e98bcad28a13b250dd336ae01a0dffdb9ad)
@@ -1,6 +1,6 @@
 spring.datasource.url=jdbc:postgresql://localhost:5432/parkupdb
 spring.datasource.username=postgres
-spring.datasource.password=1234
-spring.jpa.hibernate.ddl-auto=update
+spring.datasource.password=Lampion123
+spring.jpa.hibernate.ddl-auto=create-drop
 spring.jpa.show-sql=true
 spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
Index: sources/app/target/classes/application.properties
===================================================================
--- sources/app/target/classes/application.properties	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
+++ sources/app/target/classes/application.properties	(revision 0c049e98bcad28a13b250dd336ae01a0dffdb9ad)
@@ -1,6 +1,6 @@
 spring.datasource.url=jdbc:postgresql://localhost:5432/parkupdb
 spring.datasource.username=postgres
-spring.datasource.password=1234
-spring.jpa.hibernate.ddl-auto=update
+spring.datasource.password=Lampion123
+spring.jpa.hibernate.ddl-auto=create-drop
 spring.jpa.show-sql=true
 spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
